Discover the winners & finalists of the 2022 Dataiku Frontrunner Awards!READ THEIR USE CASES

Required Packages Can't Be Installed on Windows

Solved!
bdub2you
Level 2
Required Packages Can't Be Installed on Windows

In order to use the Visual ML deep learning prediction model, Time Series Forecasting model, etc. you are required to have a custom python code environment, and then you have to install the "Visual Deep Learning..." additional packages into the custom python environment. However, on Windows 10 or Windows 11 when you go to save and install those required packages it throws a lot of errors and is unable to install. I've tried installing the the packages on several Windows machine now and they won't install. So it appears that you're severally limited to only using the AutoML Prediction on any machine running Windows as the OS.


Operating system used: Windows 10 Pro

0 Kudos
1 Solution
AlexandreV
Dataiker

hello @bdub2you,

Please keep in mind that Dataiku DSS wasn’t originally designed to natively run on Windows. It is available as an experimental version and only for testing. Dataiku does not provide official support for this installation.

In order to use Time Series forecasting, you will need a code env with Visual Timeseries forecasting package preset.

Go to administration > code envs > new Python envs

Screenshot 2022-11-24 at 12.18.05.png

I would suggest to use a python3.7 env since python 3.7 is installed by the launcher.

Go to Packages to install > add sets of packages and select Visual Timeseries forecasting: GluonTS, Pmdarima, statsmodels, MXNet (CPU)

Screenshot 2022-11-24 at 12.21.54.png

click ADD and you should have the list of packages as in the screenshot bellow

Click save and update. The packages should install.

Finally in your time series forecasting model page make sure you are using the newly created code env:
Screenshot 2022-11-24 at 12.31.36.png


I hope this helps you solve your issue.

Alex

View solution in original post

0 Kudos
2 Replies
AlexandreV
Dataiker

hello @bdub2you,

Please keep in mind that Dataiku DSS wasn’t originally designed to natively run on Windows. It is available as an experimental version and only for testing. Dataiku does not provide official support for this installation.

In order to use Time Series forecasting, you will need a code env with Visual Timeseries forecasting package preset.

Go to administration > code envs > new Python envs

Screenshot 2022-11-24 at 12.18.05.png

I would suggest to use a python3.7 env since python 3.7 is installed by the launcher.

Go to Packages to install > add sets of packages and select Visual Timeseries forecasting: GluonTS, Pmdarima, statsmodels, MXNet (CPU)

Screenshot 2022-11-24 at 12.21.54.png

click ADD and you should have the list of packages as in the screenshot bellow

Click save and update. The packages should install.

Finally in your time series forecasting model page make sure you are using the newly created code env:
Screenshot 2022-11-24 at 12.31.36.png


I hope this helps you solve your issue.

Alex

0 Kudos
bdub2you
Level 2
Author

Ok, thanks. The Python 3.7 environment seemed to be the key to the issue.

0 Kudos